org.apache.hadoop.hdfs.server.namenode

## Interface FsImageProto.INodeSection.INodeSymlinkOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    FsImageProto.INodeSection.INodeSymlink, FsImageProto.INodeSection.INodeSymlink.Builder
  Enclosing class:
    FsImageProto.INodeSection

      public static interface FsImageProto.INodeSection.INodeSymlinkOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getAccessTime()` `optional uint64 accessTime = 4;`
    `long` | `getModificationTime()` `optional uint64 modificationTime = 3;`
    `long` | `getPermission()` `optional fixed64 permission = 1;`
    `com.google.protobuf.ByteString` | `getTarget()` `optional bytes target = 2;`
    `boolean` | `hasAccessTime()` `optional uint64 accessTime = 4;`
    `boolean` | `hasModificationTime()` `optional uint64 modificationTime = 3;`
    `boolean` | `hasPermission()` `optional fixed64 permission = 1;`
    `boolean` | `hasTarget()` `optional bytes target = 2;`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasPermission

          boolean hasPermission()

      `optional fixed64 permission = 1;`

    - #### getPermission

          long getPermission()

      `optional fixed64 permission = 1;`

    - #### hasTarget

          boolean hasTarget()

      `optional bytes target = 2;`

    - #### getTarget

          com.google.protobuf.ByteString getTarget()

      `optional bytes target = 2;`

    - #### hasModificationTime

          boolean hasModificationTime()

      `optional uint64 modificationTime = 3;`

    - #### getModificationTime

          long getModificationTime()

      `optional uint64 modificationTime = 3;`

    - #### hasAccessTime

          boolean hasAccessTime()

      `optional uint64 accessTime = 4;`

    - #### getAccessTime

          long getAccessTime()

      `optional uint64 accessTime = 4;`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.